Functions
Initialization and de-initialization functions
Peripheral Driver » HAL Driver » COMP » Functions

Initialization and Configuration functions. More...

Collaboration diagram for Initialization and de-initialization functions:

## Functions
hal_status_t | hal_comp_init (comp_handle_t *p_comp)
| Initialize the COMP according to the specified parameters in the comp_init_t and initialize the associated handle. More...
hal_status_t | hal_comp_deinit (comp_handle_t *p_comp)
| De-initialize the COMP peripheral. More...
void | hal_comp_msp_init (comp_handle_t *p_comp)
| Initialize the COMP MSP. More...
void | hal_comp_msp_deinit (comp_handle_t *p_comp)
| De-initialize the COMP MSP. More...

## Detailed Description

Initialization and Configuration functions.

## Function Documentation

## ◆ hal_comp_deinit()

hal_status_t hal_comp_deinit | ( | comp_handle_t * | p_comp | ) |

De-initialize the COMP peripheral.

Parameters

  [in] | p_comp | Pointer to a COMP handle which contains the configuration information for the specified COMP module.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_comp_init()

hal_status_t hal_comp_init | ( | comp_handle_t * | p_comp | ) |

Initialize the COMP according to the specified parameters in the comp_init_t and initialize the associated handle.

Parameters

  [in] | p_comp | Pointer to a COMP handle which contains the configuration information for the specified COMP module.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_comp_msp_deinit()

void hal_comp_msp_deinit | ( | comp_handle_t * | p_comp | ) |

De-initialize the COMP MSP.

Note
  This function should not be modified. When the callback is needed, the hal_comp_msp_deinit can be implemented in the user file.

Parameters

  [in] | p_comp | Pointer to a COMP handle which contains the configuration information for the specified COMP module.

## ◆ hal_comp_msp_init()

void hal_comp_msp_init | ( | comp_handle_t * | p_comp | ) |

Initialize the COMP MSP.

Note
  This function should not be modified. When the callback is needed, the hal_comp_msp_deinit can be implemented in the user file.

Parameters

  [in] | p_comp | Pointer to a COMP handle which contains the configuration information for the specified COMP module.